package com.clx.performance.dao.export;

import com.clx.performance.mapper.export.ExportFieldMapper;
import com.clx.performance.model.export.ExportField;
import com.msl.common.dao.BaseDao;

import java.util.List;

public interface ExportFieldDao extends BaseDao<ExportFieldMapper, ExportField, Integer> {

    /**
     * 查询模板下的所有字段
     *
     * @param templateId 字段id
     * @return
     */
    List<ExportField> listFieldByTemplate(Integer templateId);

    /**
     * 查询功能下的所有字段
     *
     * @param functionCode 功能code
     * @return 字段列表
     */
    List<ExportField> listFieldByFunctionCode(String functionCode);

    /**
     * 查询公司该功能下的所有字段
     *
     * @param functionCode 功能code
     * @return 字段列表
     */
    List<ExportField> listFieldByFunctionCode(String functionCode, Long companyNo);

    /**
     * 查询功能下的所有必填字段
     *
     * @param functionCode 功能code
     * @return 字段列表
     */
    List<ExportField> listRequiredFieldByFunctionCode(String functionCode);
}
