package com.clx.performance.dao.impl.export;

import com.clx.performance.dao.export.ExtendExportFieldDao;
import com.clx.performance.mapper.export.ExtendExportFieldMapper;
import com.clx.performance.model.export.ExtendExportField;
import com.msl.common.base.Optional;
import com.msl.common.dao.impl.BaseDaoImpl;
import org.springframework.stereotype.Repository;

import java.util.Collections;
import java.util.List;


@Repository
public class ExtendExportFieldDaoImpl extends BaseDaoImpl<ExtendExportFieldMapper, ExtendExportField, Integer> implements ExtendExportFieldDao {
    /**
     * 根据功能code查询字段
     *
     * @param code      功能code
     * @param companyNo companyNo
     * @return List
     */
    @Override
    public List<ExtendExportField> listFieldByFunctionCode(String code, Long companyNo, String date) {
        return Optional.ofBlank(code)
                .map(c -> list(lQrWrapper().eq(ExtendExportField::getExportFunctionCode, c)
                        .eq(ExtendExportField::getCompanyNo, companyNo)
                        .eq(ExtendExportField::getDate, date)
                        .orderByAsc(ExtendExportField::getSort))).orElse(Collections.emptyList());
    }

    /**
     * 删除
     *
     * @param code             code
     * @param operateCompanyNo operateCompanyNo
     */
    @Override
    public void delete(String code, Long operateCompanyNo, String date) {
        Optional.ofBlank(code)
                .peek(
                        c -> baseMapper.delete(lQrWrapper().eq(ExtendExportField::getExportFunctionCode, code)
                                .eq(ExtendExportField::getDate, date)
                                .eq(ExtendExportField::getCompanyNo, operateCompanyNo))
                );
    }
}
