package com.clx.performance.model.export;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("export_function")
public class ExportFunction implements HasKey<Integer> {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("user_no")
    @ApiModelProperty("用户编码")
    private Long userNo;

    @TableField("company_no")
    @ApiModelProperty("公司编码")
    private Long companyNo;

    @TableField("code")
    @ApiModelProperty("功能code")
    private String code;

    @TableField("name")
    @ApiModelProperty("功能名称")
    private String name;

    @TableField("remark")
    @ApiModelProperty("功能描述")
    private String remark;

    @Override
    @KeyColumn("id")
    public Integer gainKey() {
        return this.id;
    }
}
